Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
copy_backward.hpp File Reference

## Typedefs
template<typename I , typename O >
using | ranges::copy_backward_result = detail::in_out_result< I, O >

## Functions
template<typename I , typename S , typename O >
copy_backward_result< I, O > | ranges::copy_backward (I first, S end_, O out)
| function template `copy_backward` More...
template<typename Rng , typename O >
copy_backward_result< borrowed_iterator_t< Rng >, O > | ranges::copy_backward (Rng &&rng, O out)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...